Description

audacious can not load some archived/compressed skins.

Judging from the behavior and the code audacious expects that the skin pixmaps are at the root of the archive and thus they will be
extracted into the root of a temporary directory.

But many traditional skins have all of their files in a single directory named after a skin.

E.g.:

$ tar tf titanium.tar.gz
titanium
titanium/balance.bmp
titanium/cbuttons.bmp

$ tar tf Coolblue.tar.gz

Coolblue
Coolblue/balance.bmp

And so on.

History

#1 - April 09, 2013 18:53 - Andriy Gapon

- File audacious-skin-archive.diff added

My idea is to try to use a subdirectory with a name equal to a basename of an archive.

#2 - April 10, 2013 02:00 - John Lindgren

- Subject changed from audacious winamp interface doesn't support some traditional skins to audacious winamp interface doesn&#x27;t support some
traditional skins

What is the source of these skins?

#3 - April 10, 2013 02:02 - John Lindgren

- Subject changed from audacious winamp interface doesn&#x27;t support some traditional skins to audacious winamp interface doesn't support some
traditional skins

#4 - April 10, 2013 14:26 - Andriy Gapon

That's a very good question, indeed.
The answer is from here:

http://www.freshports.org/x11-themes/audacious-skins/
http://critical.ch/distfiles/audacious-skins-0.1.tar.gz
And that could probably mean that the files are manually repackaged and do not adhere to audacious expectations.

In fact, after a little research | see that originally these are xmms skins that were packaged as zip file in a way that is expected by audacious.
So, sorry for the noise | guess.

#5 - April 11, 2013 16:37 - Andriy Gapon

Just a note that for .zip archives unzip is called with '-j' option, so the potential situation reported here should be handled transparently.
There doesn't seem to be a cross-platform way to do the same with tar.

There are some tricks but probably not worth bothering with them:
http://superuser.com/questions/71846/tar-extract-discarding-directory-structure

#6 - April 11, 2013 23:53 - John Lindgren

- Status changed from New to Rejected

Okay, closing. | did find it odd that "traditional" WinAmp skins were packaged in a .tar.gz format, since | highly doubt that WinAmp is capable of
unpacking .tar.gz files.
audacious-skin-archive.diff 2.08 KB April 09, 2013 Andriy Gapon
